CURLINFO_RTSP_CLIENT_CSEQ(3)

NAME
CURLINFO_RTSP_CLIENT_CSEQ - next RTSP client CSeq

SYNOPSIS
#include <curl/curl.h>
CURLcode curl_easy_getinfo(CURL *handle, CURLINFO_RTSP_CLIENT_CSEQ,
                           long *cseq);

DESCRIPTION
Pass a pointer to a long to receive the next CSeq that is expected to be used by the application.

PROTOCOLS
This functionality affects rtsp only

EXAMPLE
int main(void)
{
  CURL *curl = curl_easy_init();
  if(curl) {
    CURLcode result;
    curl_easy_setopt(curl, CURLOPT_URL, "rtsp://rtsp.example.com");
    result = curl_easy_perform(curl);
    if(result == CURLE_OK) {
      long cseq;
      curl_easy_getinfo(curl, CURLINFO_RTSP_CLIENT_CSEQ, &cseq);
    }
    curl_easy_cleanup(curl);
  }
}

AVAILABILITY
Added in curl 7.20.0

RETURN VALUE
curl_easy_getinfo(3) returns a CURLcode indicating success or error. CURLE_OK (0) means everything was OK, non-zero means an error occurred, see libcurl-errors(3).

SEE ALSO
CURLINFO_RTSP_CSEQ_RECV(3), CURLINFO_RTSP_SERVER_CSEQ(3), curl_easy_getinfo(3), curl_easy_setopt(3)